aubio 0.4.2~alpha

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Typedefs | Functions
mfcc.h File Reference

Mel-frequency cepstrum coefficients object. More...

Go to the source code of this file.

## Typedefs
typedef struct _aubio_mfcc_t | aubio_mfcc_t
| mfcc object

## Functions
aubio_mfcc_t * | new_aubio_mfcc (uint_t buf_size, uint_t n_filters, uint_t n_coeffs, uint_t samplerate)
| create mfcc object More...
void | del_aubio_mfcc (aubio_mfcc_t *mf)
| delete mfcc object More...
void | aubio_mfcc_do (aubio_mfcc_t *mf, cvec_t *in, fvec_t *out)
| mfcc object processing More...

## Detailed Description

Mel-frequency cepstrum coefficients object.

Definition in file mfcc.h.

## Function Documentation

void aubio_mfcc_do | ( | aubio_mfcc_t * | mf,
|  | cvec_t * | in,
|  | fvec_t * | out
| ) |  |

mfcc object processing

Parameters

  mf | mfcc object as returned by new_aubio_mfcc
  in | input spectrum (buf_size long)
  out | output mel coefficients buffer (n_coeffs long)

Examples:
  spectral/test-mfcc.c.

void del_aubio_mfcc | ( | aubio_mfcc_t * | mf | ) |

delete mfcc object

Parameters

  mf | mfcc object as returned by new_aubio_mfcc

Examples:
  spectral/test-mfcc.c.

aubio_mfcc_t* new_aubio_mfcc | ( | uint_t | buf_size,
|  | uint_t | n_filters,
|  | uint_t | n_coeffs,
|  | uint_t | samplerate
| ) |  |

create mfcc object

Parameters

  buf_size | size of analysis buffer (and length the FFT transform)
  samplerate | audio sampling rate
  n_coeffs | number of desired coefficients
  n_filters | number of desired filters

Examples:
  spectral/test-mfcc.c.